### File

`packages/ecl/components/ecl-modal/ecl-modal-trigger.directive.ts`

### Description

Directive used to trigger opening of a target ECL modal on click.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclModalTriggerFor]`

### Index

###### Methods
onClick getCssClasses
###### Inputs
eclModalTriggerFor class e2eAttr tabindex
###### HostListeners
click

### Inputs

eclModalTriggerFor
Type : `EclModalComponent<T>`
Reference to the modal component that should be opened on click.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostListeners

click
Arguments : `'$event'`
Handles click event and opens the target modal.

### Methods

onClick
`onClick(evt: MouseEvent)`
Decorators : `@HostListener('click', ['$event'])`
Handles click event and opens the target modal. Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

# results matching ""

# No results matching ""